---
layout: docs
page_title: 'Commands: namespace delete'
description: |
  The namespace delete command is used to delete a namespace.
---

# Command: namespace delete

The `namespace delete` command is used delete a namespace.

<Tip>
  Visit the <a href="https://developer.hashicorp.com/nomad/tutorials/manage-clusters/namespaces">
    Nomad Namespaces tutorial
  </a> for more information.
</Tip>

## Usage

```plaintext
nomad namespace delete [options] <namespace>
```

The `namespace delete` command requires the name of the namespace to be deleted.

If ACLs are enabled, this command requires a management ACL token.

You cannot delete a namespace that has non-terminal jobs. In federated clusters,
you cannot delete a namespace that has non-terminal jobs in any of the federated
regions.

## General Options

@include 'general_options_no_namespace.mdx'

## Examples

Delete a namespace

```shell-session
$ nomad namespace delete api-prod
Successfully deleted namespace "api-prod"!
```
